%global gem_name net-ping

Summary: A ping interface for Ruby
Name: rubygem-%{gem_name}
Version: 1.5.1
Release: 3%{?dist}
Group: Development/Languages
License: Artistic 2.0
URL: http://www.rubyforge.org/projects/shards
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem

# for rhel5 compatibility
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

Provides: rubygem(%{gem_name}) = %{version}

Requires: ruby(abi) = 1.9.1
Requires: ruby(rubygems)

BuildRequires: ruby
BuildRequires: rubygems-devel
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(fakeweb)
BuildRequires: iputils

%description
The net-ping library provides a ping interface for Ruby. It includes
separate TCP, HTTP, ICMP, UDP, WMI (for Windows) and external ping
classes.


%package doc
Summary: A ping interface for Ruby - documentation
Group: Development/Languages

%description doc
This package contains the documentation files for the %{gem_name} Ruby
library.


%prep

%build

%install
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} --force %{SOURCE0}


%check
pushd %{buildroot}%{gem_instdir}
# three tests are ignored because of missing network connectivity
RUBYOPT="-Ilib" testrb2 test/test_net_ping.rb \
--ignore-name=test_duration_basic_functionality \
--ignore-name=test_pinging_a_good_host_results_in_no_exception_data \
--ignore-name=test_pinging_a_good_host_returns_true
popd


# for rhel5 compatibility
%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%{gem_libdir}
%doc %{gem_instdir}/README
%{gem_cache}
%{gem_spec}


%files doc
%defattr(-, root, root, -)
%dir %{gem_instdir}
%doc %{gem_instdir}/doc/ping.txt
%doc %{gem_instdir}/examples/
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/net-ping.gemspec
%{gem_instdir}/MANIFEST
%{gem_instdir}/CHANGES


%changelog
* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 1.5.1-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 16 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.5.1-1
- rebuild

* Fri Mar 18 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.4.1-1
- unit tests now use mock servers
- fixing issues from the review #672845

* Tue Jan 25 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.4.0-1
- Initial package

